Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.invocation.http.server
Class HttpProxyFactoryHA

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.invocation.http.server.HttpProxyFactory
                  org.jboss.invocation.http.server.HttpProxyFactoryHA

All Implemented Interfaces:
  HttpProxyFactoryHAMBean, org.jboss.invocation.http.server.HttpProxyFactoryMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class HttpProxyFactoryHA
extends org.jboss.invocation.http.server.HttpProxyFactory
implements HttpProxyFactoryHAMBean

An extension of HttpProxyFactory that supports clustering of invoker proxies. It does this by creating a HATarget that monitors the replication of the invoker url and creates a HAInvokerWrapper that handles wrapping the underlying invocation result with changes to the HATarget replication view.

Version:
  $Revision: 1.2 $
Author:
  Scott Stark

Field Summary

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`HttpProxyFactoryHA()`

Method Summary
`protected org.jboss.invocation.Invoker` | `createInvoker()` Override the HttpProxyFactory method to create a HttpInvokerProxyHA.
`protected ArrayList` | `defineInterceptors()`
`void` | `destroy()` Destroys the HATarget
`Class` | `getLoadBalancePolicy()` Get the server side mbean that exposes the invoke operation for the exported interface
`String` | `getPartitionName()` Get the name of the cluster partition the invoker is deployed in
`javax.management.ObjectName` | `getRealJmxInvokerName()` A read-only property for accessing the non-wrapped JMX invoker
`void` | `setInvokerName(javax.management.ObjectName jmxInvokerName)` Override the superclass method to create a wrapped ObjectName for the HAInvokerWrapper mbean.
`void` | `setLoadBalancePolicy(Class policyClass)` Set the server side mbean that exposes the invoke operation for the exported interface
`void` | `setPartitionName(String name)` Set the name of the cluster partition the invoker is deployed in
`protected void` | `stopService()` Override the HttpProxyFactory stop to unregister the HAInvokerWrapper mbean

Methods inherited from class org.jboss.invocation.http.server.HttpProxyFactory
`checkInvokerURL, defineDefaultInterceptors, getClientInterceptors, getExportedInterface, getInvokerName, getInvokerURL, getInvokerURLPrefix, getInvokerURLSuffix, getJndiName, getProxy, getProxy, getUseHostName, setClientInterceptors, setExportedInterface, setInvokerURL, setInvokerURLPrefix, setInvokerURLSuffix, setJndiName, setUseHostName, startService`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, createService, destroyService, getLog, getName, getNextNotificationSequenceNumber, getObjectName, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.invocation.http.server.HttpProxyFactoryMBean
`getClientInterceptors, getExportedInterface, getInvokerName, getInvokerURL, getInvokerURLPrefix, getInvokerURLSuffix, getJndiName, getProxy, getProxy, getUseHostName, setClientInterceptors, setExportedInterface, setInvokerURL, setInvokerURLPrefix, setInvokerURLSuffix, setJndiName, setUseHostName`

Methods inherited from interface org.jboss.system.Service
`create, start, stop`

Constructor Detail

### HttpProxyFactoryHA

    public HttpProxyFactoryHA()

Method Detail

### getLoadBalancePolicy

    public Class getLoadBalancePolicy()

  Get the server side mbean that exposes the invoke operation for the exported interface

  Specified by:
    `getLoadBalancePolicy` in interface `HttpProxyFactoryHAMBean`

### setLoadBalancePolicy

    public void setLoadBalancePolicy(Class policyClass)

  Set the server side mbean that exposes the invoke operation for the exported interface

  Specified by:
    `setLoadBalancePolicy` in interface `HttpProxyFactoryHAMBean`

### getPartitionName

    public String getPartitionName()

  Get the name of the cluster partition the invoker is deployed in

  Specified by:
    `getPartitionName` in interface `HttpProxyFactoryHAMBean`

### setPartitionName

    public void setPartitionName(String name)

  Set the name of the cluster partition the invoker is deployed in

  Specified by:
    `setPartitionName` in interface `HttpProxyFactoryHAMBean`

### setInvokerName

    public void setInvokerName(javax.management.ObjectName jmxInvokerName)

  Override the superclass method to create a wrapped ObjectName for the HAInvokerWrapper mbean. This will be the name of the invoker as known by the proxy. The HAInvokerWrapper is the HttpProxyFactoryHA name + wrapperType=httpHA

  Specified by:
    `setInvokerName` in interface `org.jboss.invocation.http.server.HttpProxyFactoryMBean`
  Parameters:
    `jmxInvokerName` -

### getRealJmxInvokerName

    public javax.management.ObjectName getRealJmxInvokerName()

  Description copied from interface: `HttpProxyFactoryHAMBean`
  A read-only property for accessing the non-wrapped JMX invoker

  Specified by:
    `getRealJmxInvokerName` in interface `HttpProxyFactoryHAMBean`
  Returns:
    the ObjectName the HAInvokerWrapper delegates to

### defineInterceptors

    protected ArrayList defineInterceptors()

### createInvoker

    protected org.jboss.invocation.Invoker createInvoker()
                                                  throws Exception

  Override the HttpProxyFactory method to create a HttpInvokerProxyHA.

  Returns:
  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Override the HttpProxyFactory stop to unregister the HAInvokerWrapper mbean

  Throws:
    `Exception`

### destroy

    public void destroy()

  Destroys the HATarget

  Specified by:
    `destroy` in interface `org.jboss.system.Service`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.